<div class="col-md-10 col-sm-11">
  <!--<button type="button" class="slide-toggle">Slide Toggle</button> -->
  <div class="main-dash-right">
    <app-generic-content-loader *ngIf="isEarningsLoading"></app-generic-content-loader>
    <div *ngIf="!isEarningsLoading">
      <div class="row">
        <div class="col-sm-6 col-xs-12">
          <div class="title-heading">
            <h2>earnings</h2>
          </div>
          <div class="shadow_wrap margintop20 marginbottom10">
            <div class="col-xs-6">
              <div class="title-heading">
                <span>current balance</span>
                <h2>$ {{totalEarnings}}</h2>
              </div>
            </div>
            <!--<div class="col-xs-6">
              <button class="btn form-sumbit-orangedash"> withdraw</button>
            </div>-->
          </div>


          <div class="graph_wrap">
            <highcharts-chart
              [Highcharts]="Highcharts"
              [options]="chartOptions"

              style="width: 100%; height: 400px; display: block;"
            ></highcharts-chart>
          </div>
        </div>

        <div class="col-sm-6 col-xs-12">
          <div class="row">
            <div class="title-heading col-xs-6">
              <h2>recent earnings</h2>
            </div>
            <div class="col-xs-6">
              <!--<a href="" class="see-all-anchor">see all</a>-->
            </div>

          </div>

          <div class="shadow_wrap margintop20" *ngFor="let earning of recentEarnings">
            <div class="col-xs-8">
              <div class="clea-img">
                <img src="assets/images/dashboard/cleaning-serv.png" alt="">
              </div>
              <div class="title-heading">

                <h2>DSA-S3030</h2>
                <span class="day-rate-wrap">{{formatDate(earning.endTime)}} - Rating: {{earning.ratingGivenByCustomer}}/5</span>
              </div>
            </div>
            <div class="col-xs-4">
              <div class="title-heading">
                <h2>${{earning.contractorAmount}}</h2>
              </div>
            </div>
          </div>

          <!--<div class="row">
            <div class="">
              <div class="margintop20 title-heading col-xs-6">
                <h2>withdraw method</h2>
              </div>
              <div class="margintop20 col-xs-6">
                <a href="" class="see-all-anchor">swift left</a>
              </div>
            </div>
          </div>
          <div class="shadow_wrap margintop10">
            <div class="col-xs-8">

              <div class="title-heading">
                <h2>paypal</h2>
                <small class="day-rate-wrap">Email: me@shojail.com</small>
                <small class="day-rate-wrap">max amount: $400</small>
              </div>
            </div>
            <div class="col-xs-4">
              <div class="clea-img">
                <img src="assets/images/dashboard/paypal-logo.png" alt="">
              </div>
            </div>
          </div>-->


        </div>
      </div>

      <div class="row">
        <div class="title-heading col-xs-12">
          <h2>Withdraws</h2>
        </div>

        <div class="col-sm-4 col-xs-12" *ngFor="let withdrawal of withdrawals">
          <div class="shadow_wrap margintop20 marginbottom10">
            <div class="col-xs-7  ">
              <!--<div class="clea-img">
                <img src="assets/images/dashboard/paypal-logo.png" alt="">
              </div>-->
              <div class="title-heading margintop10">
                <h2>${{withdrawal.amount}}</h2>
                <!--<small>me@sholi.com</small>-->
              </div>
            </div>
            <div class="col-xs-5 ">
              <div class="title-heading margintop10">
                <span>{{formatDate(withdrawal.created)}}</span>
              </div>
            </div>
          </div>
        </div>

        <div class="col-xs-12">
          <h4 class="no-withdrawals">No Withdrawals Found.</h4>
        </div>

      </div>
    </div>

  </div>
</div>
